<?php
$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_31767d7ad58e" . "706dbf47b7a51" . "a0fe6c4" => base64_decode("Y291b" . "nQ="), "_e2e36e1c2" . "215f261368" . "b20d157408" . "47e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkLGludDpr" . "ZXksIHN0cjp2YWwp"), "_2d4b5f427d48" . "c3244c2f19547" . "9a6ced7" => base64_decode("Y29tbW9uLm1ldG" . "FkYXRhLmJsYW5r" . "X3ZhbHVlcw=="), "_2d71c655f2a62b5d8b25dbf8acf952f" . "d" => base64_decode("Q291bGRuJ3QgbG9hZC4gVW5" . "kZWZpbmVkIG1ldGEgZmllbG" . "QgSUQ="), "_7f628626dd1d55c71b1fc0932ffd1d2" . "c" => base64_decode("aXNfYX" . "JyYXk="), "_4079816faf0560c6877e40230b8b9" . "65f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZX" . "RhZGF0YV9maWVsZF92YWx1ZXMg" . "V0hFUkUgbWV0YWRhdGFfaWQ9aW" . "50Om1ldGFfZmllbGRfaWQ="), "_0c5123aa744f69bbc" . "0e8b3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_0926ec1594f048b9fe0aa9" . "aa05b9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZmluZWQgbW" . "V0YSBmaWVsZCBJRA=="), "_80be54d4bf79b1f177a6b4555a" . "e15ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5" . "kZWZpbmVkIG1ldGEgZmllbG" . "QgSUQ="), "_516340c61" . "8ee12b8bfb" . "13b0d280f2" . "69f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGR" . "fdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxkX2" . "lkIE9SREVSIEJZIG1ldGFfdmFsdWU="), "_d162ad33b" . "44d275ccc6" . "e4b5280b61" . "8df" => base64_decode("bWV0" . "YV90" . "ZXh0"));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2d71c655f2a62b5d8" . "b25dbf8acf952fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_516340c618ee12b8bfb13b0d28" . "0f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d162ad33b44d275ccc6e4b5280b" . "618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_80be54d4bf79" . "b1f177a6b4555" . "ae15ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e2e36e1c2215f261368b2" . "0d15740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0926ec1594f048b9fe0aa9aa05b9a24" . "3"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4079816faf0560c6877e402" . "30b8b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_7f628626dd1d55c71b1fc" . "0932ffd1d2c"]($values) || $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_31767d7ad58e706dbf47b7a5" . "1a0fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2d4b5f427d48c3244c2f195479" . "a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_7f628626d" . "d1d55c71b1" . "fc0932ffd1" . "d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}